
#include <math.h>
#define RAD_TO_DEG 57.2957795130823208767981548141052
#define DEG_TO_RAD 0.0174532925199432957692369076848861



__inline__ void sincos(double x, double* s, double* c) {
	double ss;
	double cc;
	__asm__("fsincos" : "=t"(cc), "=u"(ss) : "0"(x));
	// http://x86.renejeschke.de/html/file_module_x86_id_115.html
	// constraints: "=t" = output to top of fpu register stack, "=u" = output to 2nd from top, "0"  = reuse the first of the above as input
	*s = ss;
	*c = cc;
}



void bbSinCos(double x, double* s, double* c) {
	sincos(x * DEG_TO_RAD, s, c);
}
